Xeonr Developer Docs
API SpecificationFolders

Update folder

POST
/uplim.api.v1.BucketFoldersService/UpdateFolder

Updates folder properties including name, color, directory listing visibility, and access settings.

Authorization

OAuth2 upl:bucket:manage
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:bucket:manage

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketFoldersService/UpdateFolder" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "inheritPrivateAccess": true,    "hasPublicDirectoryListing": true  }'
{
  "folder": {
    "folderId": "string",
    "path": "string",
    "parentPath": "string",
    "colour": "string",
    "hasPublicDirectoryListing": true,
    "inheritedHasDirectoryListing": true,
    "privateAccess": true,
    "inheritedPrivateAccess": true,
    "isShareRoot": true,
    "scopingIntegrationId": "329db323-3593-4cac-97ed-e5f900a5bd6d",
    "scopingIntegration": {
      "integrationId": "string",
      "name": "string",
      "oauthClientId": "string",
      "folderBehavior": "INTEGRATION_FOLDER_BEHAVIOR_UNSPECIFIED",
      "folderLinkUrl": "string"
    },
    "virtualFileEnabled": true,
    "virtualFileName": "string",
    "virtualFileIntegrationId": "630c2411-65e5-4474-97de-89f429b46622",
    "virtualFileIntegration": {
      "integrationId": "string",
      "name": "string",
      "oauthClientId": "string",
      "folderBehavior": "INTEGRATION_FOLDER_BEHAVIOR_UNSPECIFIED",
      "folderLinkUrl": "string"
    },
    "virtualFileRootUploadId": "010b0f59-7efd-40b9-998e-6fb436f154a7",
    "externalPath": "string",
    "externalParentPath": "string",
    "order": 0,
    "integrationHidden": true
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}